/***********************************************************************
This is a SAMPLE script on how I create an OBJECT for my BBS with an
OBJECTID of <OPUS_BBS>.
EDIT this for YOUR DOS BBS changing the path to the FOSSIL, the NAME (Title)
the EXENAME, the STARTUPDIR and any other DOS SETTINGS (OPTIONS) you might
need.  When finished, run this script and you will be able to use GETSET to
look at the object, open the object and so on.  In addtion, you can use
the REXX SYSOPENOBJECT() function to open the BBS.

      rc = sysopenobject('<OPUS_BBS>',0,1)

in a REXX script will open the BBS with all settings defined in the object.
*****************************************************************************/
/************  Load RexxUtil.DLL functions if not already loaded  ***********/
if RxFuncQuery('SysLoadFuncs') <> 0 then
   do
      rc = RxFuncAdd('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs')
      if rc <> 0 then
         do
            say 'ERROR loading RexxUtility Functions'
            exit
         end /*do*/
      call SysLoadFuncs
   end /*do*/
/****************************************************************************/

ansi='SIZE=0 C:\OS2\MDOS\ANSI.SYS'
fossil='SIZE=0 C:\drivers\VX00.SYS'

name='OPUS BBS'
loc='<WP_DESKTOP>'
type='WPProgram'

options='OBJECTID=<OPUS_BBS>;'                             ||,
        'PROGTYPE=WINDOWEDVDM;'                            ||,
        'MINIMIZED=YES;'                                ||,
        'EXENAME=E:\OPUS\RUNOPUS.BAT;'                     ||,
        'ICONFILE=F:\ICONS\OPUS1.ICO;'                     ||,
        'STARTUPDIR=E:\OPUS;'
        'SET SIO_Allow_Access_COM1=0;'                  ||,
        'SET SIO_Allow_Access_COM2=1;'                  ||,
        'SET SIO_Allow_Access_COM3=0;'                  ||,
        'SET SIO_Allow_Access_COM4=0;'                  ||,
        'SET DOS_DEVICE='ansi||'0a'x||fossil||';'       ||,
        'SET AUDIO_ADAPTER_SHARING=None;'               ||,
        'SET DOS_AUTOEXEC=D:\bootemup\AE-BBS.BAT;'          ||,
        'SET DOS_BREAK=1;'                              ||,
        'SET DOS_FILES=30;'                                 ||,
        'SET EMS_MEMORY_LIMIT=1536;'                    ||,
        'SET XMS_MEMORY_LIMIT=0;'                       ||,
        'SET DOS_UMB=1;'                                ||,
        'SET DOS_HIGH=1;'                               ||,
        'SET HW_ROM_TO_RAM=1;'                          ||,
        'SET IDLE_SECONDS=60;'                              ||,
        'SET IDLE_SENSITIVITY=99;'                          ||,
        'SET INT_DURING_IO=0;'                          ||,
        'SET KBD_RATE_LOCK=1;'                          ||,
        'SET SIO_Idle_Sensitivity=99;'                      ||,
        'SET VIDEO_8514A_XGA_IOTRAP=0;'                 ||,
        'SET VIDEO_RETRACE_EMULATION=0'

result=SysCreateObject(type,name,loc,options,'U')
if result=1 then say name||" created."
else say name||" *not* created."
exit
/**********************************************************************/
